## com.bbn.openmap.image
Class AcmeJPEGFormatter

    java.lang.Object
      |
      +--com.bbn.openmap.image.AbstractImageFormatter
            |
            +--com.bbn.openmap.image.AcmeJPEGFormatter

All Implemented Interfaces:
  java.util.EventListener, ImageFormatter, java.beans.PropertyChangeListener, PropertyConsumer

public class AcmeJPEGFormatter
extends AbstractImageFormatter

This formatter requires the Acme.JPM.Encoders package. That code can be found at http://www.acme.com/java .

Field Summary
`static int` `DEFAULT_IMAGE_QUALITY`
`protected int` `imageQuality` The quality number is between 1-100.
`static java.lang.String` `QualityProperty`

Fields inherited from class com.bbn.openmap.image.AbstractImageFormatter
`bufferedImage, layers, propertiesPrefix`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`AcmeJPEGFormatter()`

Method Summary
`byte[]` `formatImage(java.awt.image.BufferedImage bi)` Convert a BufferedImage to a image file format...
`java.lang.String` `getFormatLabel()` Get the Image Type created by the ImageFormatter.
`int` `getImageQuality()`
`ImageFormatter` `makeClone()` Create a new instance of the same type of formatter.
`void` `setImageQuality(int quality)` For this formatter, image quality is a number in the 1-100 range.
`void` `setProperties(java.lang.String prefix, java.util.Properties props)` Set the properties of the image formatter.

Methods inherited from class com.bbn.openmap.image.AbstractImageFormatter
`getBufferedImage, getGraphics, getGraphics, getImageBytes, getImageFromMapBean, getImageFromMapBean, getImageFromMapBean, getProperties, getPropertyInfo, getPropertyPrefix, getScaledBufferedImage, getScaledImageBytes, propertyChange, setBufferedImage, setProperties, setPropertyPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QualityProperty

    public static final java.lang.String QualityProperty

See Also:
  Constant Field Values

### DEFAULT_IMAGE_QUALITY

    public static final int DEFAULT_IMAGE_QUALITY

See Also:
  Constant Field Values

### imageQuality

    protected int imageQuality

  The quality number is between 1-100. Quality degrades, compression improves with lower numbers.

Constructor Detail

### AcmeJPEGFormatter

    public AcmeJPEGFormatter()

Method Detail

### makeClone

    public ImageFormatter makeClone()

  Description copied from class: `AbstractImageFormatter`
  Create a new instance of the same type of formatter. If you are running in a multi-threaded environment, you'll need to provide a new instance of the formatter to each thread, since the image and graphics that are being drawn into for each thread are contained within.

  Specified by:
    `makeClone` in interface `ImageFormatter`
  Specified by:
    `makeClone` in class `AbstractImageFormatter`
  Returns:
    a new instance of this type of formatter, with the same properties set.

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `AbstractImageFormatter`
  Set the properties of the image formatter.

  Specified by:
    `setProperties` in interface `ImageFormatter`
  Overrides:
    `setProperties` in class `AbstractImageFormatter`
  Parameters:
    `prefix` - a String used by the PropertyConsumer to prepend to each property value it wants to look up - setList.getProperty(prefix.propertyKey). If the prefix had already been set, then the prefix passed in should replace that previous value.
    `props` - a Properties object that the PropertyConsumer can use to retrieve expected properties it can use for configuration.

### getImageQuality

    public int getImageQuality()

### setImageQuality

    public void setImageQuality(int quality)

  For this formatter, image quality is a number in the 1-100 range.

### formatImage

    public byte[] formatImage(java.awt.image.BufferedImage bi)

  Description copied from class: `AbstractImageFormatter`
  Convert a BufferedImage to a image file format...

  Specified by:
    `formatImage` in interface `ImageFormatter`
  Specified by:
    `formatImage` in class `AbstractImageFormatter`
  Parameters:
    `bi` - a BufferedImage..

### getFormatLabel

    public java.lang.String getFormatLabel()

  Get the Image Type created by the ImageFormatter. These responses should adhere to the OGC WMT standard format labels. Some are listed in the WMTConstants interface file.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details